## suspend-vmeta 1.0

=== Makefile ===
VERSION=1.0

default: resume_vmeta suspend_vmeta

CFLAGS?= -O2
PREFIX?=/usr

resume_vmeta: resume_vmeta.c
	gcc $(CFLAGS) $(LDFLAGS) -o resume_vmeta $^

suspend_vmeta: suspend_vmeta.c
	gcc $(CFLAGS) $(LDFLAGS) -o suspend_vmeta $^

dist: resume_vmeta suspend_vmeta
	mkdir suspend-vmeta-$(VERSION)
	cp -a scripts *.c Makefile suspend-vmeta-$(VERSION)
	tar c suspend-vmeta-$(VERSION) | gzip -9 > ../suspend-vmeta-$(VERSION).tar.gz
	rm -r suspend-vmeta-$(VERSION)

install: resume_vmeta suspend_vmeta 
	install -m 755 -D resume_vmeta $(DESTDIR)/$(PREFIX)/bin/resume_vmeta
	install -m 755 -D suspend_vmeta $(DESTDIR)/$(PREFIX)/bin/suspend_vmeta
	install -m 755 -D scripts/010vmeta $(DESTDIR)/$(PREFIX)/lib/pm-utils/sleep.d/010vmeta

uninstall:
	rm -f $(DESTDIR)/$(PREFIX)/bin/resume_vmeta
	rm -f $(DESTDIR)/$(PREFIX)/bin/suspend_vmeta
	rm -f $(DESTDIR)/$(PREFIX)/lib/pm-utils/sleep.d/010vmeta

distclean clean:
	rm -f resume_vmeta suspend_vmeta

.PHONY: default dist clean install

=== debian/changelog ===
suspend-vmeta (1.0) lucid; urgency=low

  * Basic packaging of files from rev 1 of lp:~adana-team/adana/suspend-vmeta

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Tue, 02 Nov 2010 13:44:10 -0400

=== debian/control ===
Source: suspend-vmeta 
Section: utils
Priority: extra
Maintainer: Lea Li <lea.li@marvell.com>
Build-Depends: debhelper (>= 7)
Vcs-Bzr: lp:~adana-team/adana/suspend-vmeta

Package: suspend-vmeta
Architecture: any
Description: suspend vmeta utility

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr

%:
	dh "$@"
